summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2014-04-03 11:57:31 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-07 14:43:50 +0700
commit6a864c4cb2a85a2d60c765732f7b18fa3f45fecb (patch)
tree0342906d269c43a95ac526a97798a87b5bd3c07a /libraries
parent1137fe0348cb71172274a9ed5bcb50ddd05a4e3f (diff)
downloadslackbuilds-6a864c4cb2a85a2d60c765732f7b18fa3f45fecb.tar.gz
slackbuilds-6a864c4cb2a85a2d60c765732f7b18fa3f45fecb.tar.xz
libraries/cal3d: Added (3D animation library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/cal3d/README5
-rw-r--r--libraries/cal3d/cal3d.SlackBuild103
-rw-r--r--libraries/cal3d/cal3d.info10
-rw-r--r--libraries/cal3d/cpp.patch50
-rw-r--r--libraries/cal3d/doinst.sh3
-rw-r--r--libraries/cal3d/slack-desc19
6 files changed, 190 insertions, 0 deletions
diff --git a/libraries/cal3d/README b/libraries/cal3d/README
new file mode 100644
index 0000000000..24c78c5914
--- /dev/null
+++ b/libraries/cal3d/README
@@ -0,0 +1,5 @@
+Cal3D is a skeletal based character animation library. It is platform-
+independent and not bound to a specific graphic API. Originally designed to
+be used in a 3d client for the Worldforge project ( www.worldforge.org )
+it evolved into a stand-alone product that can be used in many different
+projects.
diff --git a/libraries/cal3d/cal3d.SlackBuild b/libraries/cal3d/cal3d.SlackBuild
new file mode 100644
index 0000000000..6f7502b2c9
--- /dev/null
+++ b/libraries/cal3d/cal3d.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for cal3d
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cal3d
+VERSION=${VERSION:-0.11.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p1 < $CWD/cpp.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/cal3d/cal3d.info b/libraries/cal3d/cal3d.info
new file mode 100644
index 0000000000..b9db268d31
--- /dev/null
+++ b/libraries/cal3d/cal3d.info
@@ -0,0 +1,10 @@
+PRGNAM="cal3d"
+VERSION="0.11.0"
+HOMEPAGE="http://home.gna.org/cal3d/"
+DOWNLOAD="http://download.gna.org/cal3d/sources/cal3d-0.11.0.tar.gz"
+MD5SUM="82ad09c1c28e73bc9596aec47237bfba"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/libraries/cal3d/cpp.patch b/libraries/cal3d/cpp.patch
new file mode 100644
index 0000000000..4b39c2b888
--- /dev/null
+++ b/libraries/cal3d/cpp.patch
@@ -0,0 +1,50 @@
+--- cal3d-0.11.0/src/cal3d/hardwaremodel.original.cpp 2014-04-03 06:06:40.944313033 +0300
++++ cal3d-0.11.0/src/cal3d/hardwaremodel.cpp 2014-04-03 06:07:02.795039862 +0300
+@@ -10,6 +10,7 @@
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
++#include "string.h"
+ #endif
+
+
+--- cal3d-0.11.0/src/cal3d/platform.original.cpp 2014-04-03 06:09:37.926100456 +0300
++++ cal3d-0.11.0/src/cal3d/platform.cpp 2014-04-03 06:10:55.935125209 +0300
+@@ -10,6 +10,7 @@
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
++#include "string.h"
+ #endif
+
+ //****************************************************************************//
+--- cal3d-0.11.0/src/cal3d/renderer.original.cpp 2014-04-03 06:12:09.135210082 +0300
++++ cal3d-0.11.0/src/cal3d/renderer.cpp 2014-04-03 06:13:02.877538211 +0300
+@@ -10,6 +10,7 @@
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
++#include "string.h"
+ #endif
+
+ //****************************************************************************//
+--- cal3d-0.11.0/src/cal3d/submesh.original.cpp 2014-04-03 06:14:34.770389392 +0300
++++ cal3d-0.11.0/src/cal3d/submesh.cpp 2014-04-03 06:14:50.839188504 +0300
+@@ -10,6 +10,7 @@
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
++#include "string.h"
+ #endif
+
+ #include "cal3d/submesh.h"
+--- cal3d-0.11.0/src/cal3d_converter.original.cpp 2014-04-03 06:16:15.541129584 +0300
++++ cal3d-0.11.0/src/cal3d_converter.cpp 2014-04-03 06:16:38.281845286 +0300
+@@ -10,6 +10,7 @@
+ //****************************************************************************//
+
+ #include "cal3d/cal3d.h"
++#include "string.h"
+
+ #define SKELETON 0
+ #define MESH 1
diff --git a/libraries/cal3d/doinst.sh b/libraries/cal3d/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/libraries/cal3d/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/libraries/cal3d/slack-desc b/libraries/cal3d/slack-desc
new file mode 100644
index 0000000000..490d9bd21d
--- /dev/null
+++ b/libraries/cal3d/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cal3d: cal3d (3D animation library)
+cal3d:
+cal3d: Cal3D is a skeletal based 3D character animation library written in
+cal3d: C++ in a platform-/graphic API-independent way. Originally designed
+cal3d: to be used in a 3D client for Worldforge, it evolved into a stand-
+cal3d: alone product which can be used in many different kinds of projects.
+cal3d:
+cal3d: Homepage: http://home.gna.org/cal3d/
+cal3d:
+cal3d:
+cal3d: